% HISTWC  Weighted histogram count given edges of the histogram

function [histw, vinterval] = histwc_edges(vv, ww, edges)
  %minV  = min(vv);
  %maxV  = max(vv);
  nbins = numel(edges);
  vinterval = edges;
  histw = zeros(nbins, 1);
  for i=1:length(vv)
    ind = find(vinterval < vv(i), 1, 'last' );
    if ~isempty(ind)
      histw(ind) = histw(ind) + ww(i);
    end
  end
end